from django.urls import path
from . import views



urlpatterns = [
    path('profile', views.ProfileView.as_view()),
    path('verify', views.TokenVerifyView.as_view(), name='jwt-verify'),
    path('send_otp', views.SendOTPView.as_view(), name='send-otp-view'),
    path('yee_token_bedeeee', views.KonGhoshadToken.as_view()),
    path('address/create', views.CreateAddressView.as_view(), name='create-address'),
    path('address/edit/<int:pk>', views.EditAddressView.as_view(), name='edit-address'),
    path('address/delete/<int:pk>', views.DeleteAddressView.as_view(), name='delete-address'),
    path('address/list', views.GetUserAddressesView.as_view(), name='list-addresses'),
    path('address/<int:pk>', views.GetIDUserAddressView.as_view(), name='get-ID-address'),
    path('subscribe', views.SubscribeView.as_view(), name='subscibe'),
    path('unsubscribe', views.UnsubscribeView.as_view(), name='unsubscibe'),
    path('attack/view/<int:pk>', views.ChangeViewAttack.as_view(), name='attack-view'),
    path('logout', views.LogoutView.as_view(), name='logout'),
    path('notification/all', views.NotificationListAPIView.as_view(), name='notif-list'),
    path('favorites', views.FavoritesView.as_view(), name='favorites'),
    path('favorites/toggle', views.ToggleFavoriteView.as_view(), name='favorite-toggle'),
]